#include <stdio.h>
#include <tcron.h>
#include <string.h>

#define CRON_N 3

static char *tcron_str[CRON_N]=
{ "46 11 * * 0,2,6  my-alarm1",
  "47 11 * * 1,3,5  my-alarm2",
  "48 11 * * 4      my-alarm3"
};

#define MY_APId "my_alarm"

main()
{
  CRON_ENT crent_arr[CRON_N], *pcr;
  int i;

  for (i=0;i<CRON_N;i++) {
    char apData[16];

    tcron_parse_line(tcron_str[i],&crent_arr[i],0,0);

    sprintf(apData,"apData%d",i);
    crent_arr[i].apData=strdup(apData);
  }


  tcrontab_update(MY_APId, crent_arr,CRON_N);
  for (i=0;i<CRON_N;i++) {
    tcron_free_CRON_ENT(&crent_arr[i]);
  }

  // get the result in current tcrontab
  CRON_ENT *crent2;
  int crent2N;

  tcrontab_list(MY_APId, &crent2,&crent2N);

  for(i=0;i<crent2N;i++) {
    print_cronent(stdout,&crent2[i],MY_APId);
  }

  printf("---------------> exec tcrontab -l <--------------\n");
  system("tcrontab -l");

  FILE *fp = tcrontab_update_open(MY_APId);

  for(i=0; i < CRON_N ; i++) {
    tcrontab_update_append(fp, tcron_str[i]);
  }

  tcrontab_update_close(fp);

  printf("\n... remove all entries in %s\n",MY_APId);
  tcrontab_remove(MY_APId);
  printf("---------------> exec tcrontab -l <--------------\n");
  system("tcrontab -l");
}
