typedef short cron_t;

typedef struct {
  char *apId;
  char *apData;
  cron_t *minArr;
  cron_t *hourArr;
  cron_t *daymonArr;
  cron_t *monArr;
  cron_t *dayweekArr;
  char *cmd;
  unsigned char minArrN,hourArrN,daymonArrN,monArrN,dayweekArrN;
} CRON_ENT;

#define mbzero(p,n)  memset(p,0,n);
#define DUMP (0)


#define TCRON_SIGNATURE "#!!!!tcron"

#define STAR (255)

char *genTmpName(char *username);

// The following functions are user's API.

int tcron_parse_file(char *fname, CRON_ENT **r_centArr, char *apId, int b_month0);
int tcron_parse_file_fp(FILE *fp, CRON_ENT **r_centArr, char *apId, int b_month0);
void tcron_parse_line(char *line_str,CRON_ENT *pcent, int b_apId, int b_month0);
void tcron_free_CRON_ENT(CRON_ENT *pcrent);


void tcrontab_list(char *apId, CRON_ENT **pcrArr_r, int *pcrArrN_r);
void tcrontab_update(char *apId, CRON_ENT *pcrArr, int pcrArrN);
FILE *tcrontab_update_open(char *apId);
void tcrontab_update_append(FILE *fp, char *text);
void tcrontab_update_close(FILE *fp);
void tcrontab_remove(char *apId);
